14.04kylin安装beyond compare

其它类软件,非上述版软件
回复
myshadow
帖子: 4
注册时间: 2014-08-25 14:09
送出感谢: 0
接收感谢: 0

14.04kylin安装beyond compare

#1

帖子 myshadow » 2014-08-25 14:53

ldd ./BCompare
linux-gate.so.1 => (0xf771a000)
libz.so.1 => /usr/lib32/libz.so.1 (0xf76e3000)
libqtc.so.1 => /usr/local/lib/libqtc.so.1 (0xf71cd000)
libX11.so.6 => not found
librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xf71c3000)
libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf71a7000)
libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf71a2000)
libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf6ff2000)
libqt-mt.so.3 => /usr/local/lib/libqt-mt.so.3 (0xf68de000)
libXext.so.6 => not found
libX11.so.6 => not found
libstdc++.so.6 => /usr/lib32/libstdc++.so.6 (0xf67f5000)
libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf67af000)
libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf6791000)
/lib/ld-linux.so.2 (0xf771b000)
libXrender.so.1 => not found
libXrandr.so.2 => not found
libXcursor.so.1 => not found
libXinerama.so.1 => not found
libXft.so.2 => not found
libfreetype.so.6 => not found
libfontconfig.so.1 => not found
libXext.so.6 => not found
libX11.so.6 => not found
libSM.so.6 => not found
libICE.so.6 => not found

实在不知道咋解决,求帮组需要安装哪些东西
头像
eexpress
帖子: 58428
注册时间: 2005-08-14 21:55
来自: 长沙
送出感谢: 4 次
接收感谢: 256 次

Re: 14.04kylin安装beyond compare

#2

帖子 eexpress » 2014-08-25 15:31

这软件,估计只是32位系统的,所以要一堆32libs
你应该找ppa,这样依赖问题应该自动解决。
● 鸣学
myshadow
帖子: 4
注册时间: 2014-08-25 14:09
送出感谢: 0
接收感谢: 0

Re: 14.04kylin安装beyond compare

#3

帖子 myshadow » 2014-08-25 17:11

ppa是什么意思?
网上查了一下也都说是因为依赖的32位库,但是就是不知道要怎么解决。
lord007
帖子: 555
注册时间: 2009-07-13 21:54
送出感谢: 11 次
接收感谢: 11 次

Re: 14.04kylin安装beyond compare

#4

帖子 lord007 » 2014-09-03 17:43

安装 auto-apt 试试,可以查出来这些库依赖是由哪些软件包提供的,把这些软件包装上即可
南无阿弥陀佛
回复

回到 “其它类软件”